Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.discovery
[Java] Class CachingGrailsConventionGroovyPageLocator

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.discovery.DefaultGroovyPageLocator
          org.codehaus.groovy.grails.web.pages.discovery.GrailsConventionGroovyPageLocator
              org.codehaus.groovy.grails.web.pages.discovery.CachingGrailsConventionGroovyPageLocator

    public class CachingGrailsConventionGroovyPageLocator
    extends GrailsConventionGroovyPageLocator

Extends GrailsConventionGroovyPageLocator adding caching of the located GrailsPageScriptSource

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class DefaultGroovyPageLocator
pluginManager, reloadEnabled, resourceLoaders, warDeployed

Method Summary
`GroovyPageScriptSource` | `findPage(java.lang.String uri)`
`GroovyPageScriptSource` | `findPageInBinding(java.lang.String uri, GroovyPageBinding binding)`
`GroovyPageScriptSource` | `findPageInBinding(java.lang.String pluginName, java.lang.String uri, GroovyPageBinding binding)`
`long` | `getCacheTimeout()`
`protected GroovyPageScriptSource` | `lookupCache(CachingGrailsConventionGroovyPageLocator.GroovyPageLocatorCacheKey cacheKey, java.security.PrivilegedAction updater)`
`void` | `removePrecompiledPage(GroovyPageCompiledScriptSource scriptSource)`
`void` | `setCacheTimeout(long cacheTimeout)`

Methods inherited from class GrailsConventionGroovyPageLocator
findTemplate, findTemplate, findTemplate, findTemplateByPath, findTemplateInBinding, findTemplateInBinding, findView, findView, findView, findViewByPath, getNameForController, resolveViewFormat

Methods inherited from class DefaultGroovyPageLocator
addResourceLoader, createGroovyPageCompiledScriptSource, findBinaryScriptSource, findPage, findPageInBinding, findPageInBinding, findReloadablePage, findResource, findResource, findResourceInPlugins, findResourceScriptPathForSearchPaths, findResourceScriptSource, findResourceScriptSourceInPlugins, getPluginViewPathInfo, isReloadEnabled, removePrecompiledPage, removePrefix, removeViewLocationPrefixes, resolveContextPath, resolvePluginViewPath, resolveSearchPaths, resolveViewInBinaryPlugin, setApplicationContext, setPluginManager, setPrecompiledGspMap, setReloadEnabled, setResourceLoader, setServletContext

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### findPage

    @Override
    public GroovyPageScriptSource findPage(java.lang.String uri)

### findPageInBinding

    @Override
    public GroovyPageScriptSource findPageInBinding(java.lang.String uri, GroovyPageBinding binding)

### findPageInBinding

    @Override
    public GroovyPageScriptSource findPageInBinding(java.lang.String pluginName, java.lang.String uri, GroovyPageBinding binding)

### getCacheTimeout

    public long getCacheTimeout()

### lookupCache

    protected GroovyPageScriptSource lookupCache(CachingGrailsConventionGroovyPageLocator.GroovyPageLocatorCacheKey cacheKey, java.security.PrivilegedAction updater)

### removePrecompiledPage

    @Override
    public void removePrecompiledPage(GroovyPageCompiledScriptSource scriptSource)

### setCacheTimeout

    public void setCacheTimeout(long cacheTimeout)

Groovy Documentation